# Uses of Enum Class
org.bukkit.event.player.PlayerAnimationType

Packages that use PlayerAnimationType
Package
Description
org.bukkit.event.player
`Events` relating to `players`.

## Uses of PlayerAnimationType in org.bukkit.event.player

Methods in org.bukkit.event.player that return PlayerAnimationType
Modifier and Type
Method
Description
`@NotNull PlayerAnimationType`
PlayerAnimationEvent.`getAnimationType()`
Get the type of this animation event
`static PlayerAnimationType`
PlayerAnimationType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PlayerAnimationType[]`
PlayerAnimationType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.bukkit.event.player with parameters of type PlayerAnimationType
Modifier
Constructor
Description
``
`PlayerAnimationEvent(@NotNull Player player, @NotNull PlayerAnimationType playerAnimationType)`
Construct a new PlayerAnimation event